Subject: Re: bug#34235: 27.0.50; lisp profiler does not work

From: Alan Mackenzie <[email-masked]>
Date: Wed, 30 Jan 2019 13:33:11 +0000

Hello, Eli and Alex

On Tue, Jan 29, 2019 at 18:06:05 +0200, Eli Zaretskii wrote:
> > From: Alex Branham <[email-masked]>
> > Date: Mon, 28 Jan 2019 12:34:03 -0600

> > The lisp profiler (i.e. M-x profiler-start, M-x profiler-report, etc)
> > seems to not work for me since the pdumper got merged (or sometime
> > around then). I'm not using --enable-profiling when I run ./configure.

> > emacs -q
> > M-x profiler-start (set cpu mode)
> > C-x C-f ~/.emacs.d/init.el
> > M-x profiler-report

> > results in the profiler report buffer only having the contents:

> > - ...                                                               1 100%
> >    Automatic GC                                                     1 100%

> > but surely there should be more in there. More generally, it doesn't
> > seem to ever report anything for me, no matter how long I leave it
> > running for. I've got no idea if the pdumper has anything to do with
> > this, it just seems to have been happening since about then.

> I couldn't reproduce this with today's master branch.  I tried on
> GNU/Linux and on 2 different MS-Windows machines, and profiling worked
> for me on all of them.  I see much more than just "Automatic GC".

> So I suggest that you look into possible local changes on your system
> recently, and perhaps also try the emacs-26 branch (where there's no
> pdumper).

> For the record, after invoking profiler-start in CPU mode, I visited
> xdisp.c and typed M->, then invoked profiler-report, and typed "C-u RET"
> on every "+" sign in the leftmost column.  Did you do something similar?

For what it's worth, I see the bug in master in GNU/Linux, starting off
with emacs -Q, visiting xdisp.c, M-x profiler-start <CR> <CR>, M->, M-x
profiler-report.

I see in the report just the single entry for Automatic GC, like Alex.

I last updated my repository yesterday, just before midday UTC.

> Thanks.

-- 
Alan Mackenzie (Nuremberg, Germany).